Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2259 - rpm doesn't handle multiple versions of a library well
Summary: rpm doesn't handle multiple versions of a library well
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-19 03:39 UTC by Marc MERLIN
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-20 19:28:43 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1999-04-19 03:39:19 UTC
This isn't a bug, it's an enhancement request:
moremagic [mc]# rpm -U slang-1.2.2-4.i386.rpm
error: failed dependencies:
        libslang.so.0 is needed by timidity-0.2i-5
        libslang.so.0 is needed by mutt-0.93.2i-1
moremagic [mc]# rpm -q slang
slang-1.2.2-3
slang-0.99.38-4

I did purposely do a rpm -i on the new slang so that I could
have both libraries at the same time.
So, I'm currently forced to do the following:
moremagic [mc]# rpm -e slang-1.2.2-3 --nodeps
moremagic [mc]# rpm -i slang-1.2.2-4.i386.rpm

It'd be nice if rpm could figure out that rpm -U
slang-1.2.2-4.i386.rpm, really means to upgrade the package
that also provides libslang.so.1, and leave alone the one
that provides libslang.so.0

Comment 1 Jeff Johnson 1999-04-20 19:28:59 UTC
The complexity that would be introduced into rpm by your update
enhancement request boggles my mind:-). Let's keep it simple:
	rpm -e ...
	rpm -i ...
gets the job done and it's not like you need to type this more
often than every other week or so :-)


Note You need to log in before you can comment on or make changes to this bug.